Bug 840983 - [RFE] add ignoredisk to ks_meta support
[RFE] add ignoredisk to ks_meta support
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.2
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 14:57 EDT by Bill Peck
Modified: 2012-08-09 04:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:06:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2012-07-17 14:57:06 EDT
Description of problem:
The beaker installation options needs to be able to handle the kickstart "ignoredisk" options.

This is need on some systems to include or ignore specific disks that are to be used or are unsupported.

The case that was encountered on RHEL6.2 with the system dell-per820-02. The system had a Solid State Disk (SSD) that was included in the storage devices. The kickstart attempted to use the device and fails. There are other cases where testers needed to use specific groups of SAS or SATA disks.

Specific Problem Case:

console.log

Examining storage devices 
In progress 
 
Creating device /dev/rssda1 
Creating physical volume (LVM) on /dev/rssda1 
In progress 
 
Command line mode requires all choices to be specified in a kickstart configuration file. 
Storage Activation Failed 
An error was encountered while activating your storage configuration. 
 
pvcreate failed for /dev/rssda1: 17:09:19,568 ERROR   :   Device /dev/rssda1 not found (or ignored by filtering). 



Method to specify  to use specific disk drives:

ignoredisk --only-use=sda  or drives=sda,sdb,... etc


http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s1-kickstart2-options.html


Test Case that allows Beaker to ignore the "supported" disk devices via the beaker job.
In this case only the single disk was used all others were ignored.

XML
            <ks_appends>
                <ks_append>
<![CDATA[

%end
ignoredisk --only-use=sda
                            ]]>                </ks_append>
            </ks_appends>
Comment 1 Bill Peck 2012-07-20 14:00:51 EDT
http://gerrit.beaker-project.org/#/c/1232/
Comment 3 Dan Callaghan 2012-08-09 04:06:52 EDT
Beaker 0.9.2 has been released.

Note You need to log in before you can comment on or make changes to this bug.